
jQuery(function($){
	initRupI18nPromise.then(function () {
		
	const initFilter = () => {
		$.rup_date({
			yearRange: 'c-100:c+100',
	        from: "factualizacionDesde_filter_table",
	        to: "factualizacionHasta_filter_table",
	        mask: 'dd/mm/yyyy'
	    });
		
		$("#territorio_filter_table").rup_combo({	
			source: $.rup.CTX_PATH + 'nora/provincias',
			sourceParam: {label: "descProvincia", value:"codProvincia"},
			loadFromSelect:false,
			width: 'auto',
	        ordered: true,
			blank: '',
			customClasses: ['select-material'],
			rowStriping: true
		});
		
		$("#estado_filter_table").rup_combo({
			rowStriping: true,
			ordered: true,
			blank: '',
			customClasses: ['select-material'],
			loadFromSelect:true,
			width: 'auto',
			height: 'auto'
		});
		
		$("#codTipoIdenTitular_cuentasErroneas_dialog_table").rup_combo({
		    source: $.rup.CTX_PATH +'combo/tipoIdentificador',
		   	sourceParam : {	label: 'label' ,value: 'value'},
		    width : "300",
		    height: "100",
		    blank:"",
		    customClasses: ['select-material'],
			rowStriping: true,
		    orderedByValue:false,
			onLoadSuccess: function(obj){
				
			},
			selected:$("#codTipoIdenTitular_cuentasErroneas_dialog_table").attr("value"),
		    ordered: false
		 });
		
		$("#idTipoDoc87_cuentas_dialog").rup_combo({
	    	rowStriping: true,
			ordered: true,
			customClasses: ['select-material'],
			source: $.rup.CTX_PATH + 'solicitantes/tipoDocCuentas',
			sourceParam: {value: "idTipoDoc36", label:"desc"},
			loadFromSelect:false,
			
		});
		

	};
	
	
	const initDialog = () => {
		
		$('#dialogCuentasErroneas').rup_dialog({
	        type: $.rup.dialog.DIV,
	        autoOpen: false,
	        modal: true,
	        resizable: false,
	        dialogClass: 'custom_mid_dialog',
	        title: '<i>'+$.rup.i18n.app.cuentasErroneas.tituloDialogoEditar+'</i>',
	        buttons: [
	        	 {
		                text: $.rup.i18n.app.botonera.cancelar,
		                id: "rup_dialogCancelar",
		                click: function () {
		                    $('#dialogCuentasErroneas').rup_dialog('close');
		                },
		                btnType: $.rup.dialog.LINK

		            },
		            
		        {
		            text: $.rup.i18n.app.botonera.guardar,
		            class: 'btn-material-primary-high-emphasis',
		            id: "btnGuardarCuentasErroneas",
		            click: function () {
		            	
		            	
		            	
		            	$("#cuentasErroneas_dialog_form").rup_validate({
		        		    feedback:$("#cuentasErroneas_dialog_feedback"),
		        		    liveCheckingErrors: false,
		        		    showFieldErrorAsDefault: true,
		        			showErrorsInFeedback: true,
		        		    showFieldErrorsInFeedback: true,
		        		    rules:{
		        		    	"numCuenta05":{numCuentaCorrecto:true,required:true}
		        		    }
		        		});

		            	
		            	const valido = $("#cuentasErroneas_dialog_form").valid();
		            	if((valido)	&& (
				        		($('#codTipoIdenTitular_cuentasErroneas_dialog_table').val() != $('#codTipoIdenTitular_cuentasErroneasHidden').val()) ||
				        		($('#identificador_cuentasErroneas_dialog_table').val() != $('#identificadorHidden').val()) ||
				        		($('#nombre_cuentasErroneas_dialog_table').val() != $('#nombre_cuentasErroneasHidden').val()) ||
				        		($('#apellido1_cuentasErroneas_dialog_table').val() != $('#apellido1_cuentasErroneasHidden').val()) ||
				        		($('#apellido2_cuentasErroneas_dialog_table').val() != $('#apellido2_cuentasErroneasHidden').val()) ||
				        		($('#ibanactualizado_cuentasErroneas_dialog_table').val() != $('#ibanactualizado_cuentasErroneasHidden').val())))
		            	{
		            		let data = {};
			        		data.motivoCambio = $('#motivo_cuentasErroneas_dialog_table').val();
			        		data.idSolicitante = $('#idSolicitanteHidden').val();
			        		data.idCuentaErronea = $('#idCuentaErroneaHidden').val();
			        		data.numCuentaNueva = $('#ibanactualizado_cuentasErroneas_dialog_table').val();
			        		data.tipoidentificador =$('#codTipoIdenTitular_cuentasErroneas_dialog_table').val();
			        		data.identificador = $('#identificador_cuentasErroneas_dialog_table').val();
			        		data.nombre = $('#nombre_cuentasErroneas_dialog_table').val();
			        		data.apellido1 = $('#apellido1_cuentasErroneas_dialog_table').val();
			        		data.apellido2 = $('#apellido2_cuentasErroneas_dialog_table').val();
			        		let datos = {};
			    			datos = window.form2object($('#cuentasErroneas_dialog_form')[0]);
			        		
			        		$.rup_ajax({
					    		 type:  "PUT",
					   	         url: $.rup.CTX_PATH + 'cuentaserroneas/cambioCuentasBeneficiario',
					   	         data: JSON.stringify(datos),
					             contentType: 'application/json',
					             beforeSend: function(){
					            	Ad74aUtils.cerrarFeedbacks();
									Ad74aUtils.bloquearInterfaz();
								},
				   			success: function(){
				   				Ad74aUtils.desBloquearInterfaz();
				   				$('#dialogCuentasErroneas').rup_dialog('close');
				   				$('#cuentasErroneas').rup_table("reload");
				   				
				   			},
							error: function(error){
								try {
									$("#cuentasErroneas_dialog_feedback").rup_feedback("destroy");
								} catch (error) {}

								$("#cuentasErroneas_dialog_feedback").rup_feedback(
									{
										type: "ok",
										block: false,
										delay: 3000,
										fadeSpeed: 600,
										
									}
								);
								$('#cuentasErroneas_dialog_feedback').rup_feedback("option", "delay", null);
								$("#cuentasErroneas_dialog_feedback").rup_feedback('set',error.responseText,"error");
							},
							complete: function(){
								Ad74aUtils.desBloquearInterfaz();
							}
					   	    });
		            	}else if(!valido){
				        			
				        			
				        		
				        			
				        }else{

					       try {
							$("#cuentasErroneas_dialog_feedback").rup_feedback("destroy");
							} catch (error) {}
					        	
							$("#cuentasErroneas_dialog_feedback").rup_feedback(
								{
									type: "ok",
									block: false,
									delay: 3000,
									fadeSpeed: 600,
					        	}
							);
							$('#cuentasErroneas_dialog_feedback').rup_feedback("option", "delay", null);
					        $("#cuentasErroneas_dialog_feedback").rup_feedback('set',$.rup.i18n.app.cuentasErroneas.noCambios,"error");
					        	
				        		}
		            },
		            class: 'btn-material btn-material-primary-high-emphasis'

		        }
		       
		       
	        ],
			open: () => {
				// Añadir iconos a los botones del popup
				$("#btnGuardarCuentasErroneas").html(`<i class="mdi mdi-content-save"></i> ${$.rup.i18n.app.botonera.guardar}`);
				Ad74aUtils.hacerPlegable();
				uploadfile();
		    	loadDocumentos();
		    	modoConsulta();


			},
			close: function(event, ui) {
				limpiarSesion();
				$('#cuentasErroneas_dialog_form').rup_form("clearForm");
				$('#dialogCuentasErroneas').rup_dialog('close');
				Ad74aUtils.limpiarErroresValidacionEnFormulario("cuentasErroneas_dialog_form");
			}
	    });
		
//		$('#identificador_cuentasErroneas_dialog_table').prop("disabled","true");
//		$('#apellido1_cuentasErroneas_dialog_table').prop("disabled","true");
//		$('#apellido2_cuentasErroneas_dialog_table').prop("disabled","true");
//		$('#nombre_cuentasErroneas_dialog_table').prop("disabled","true");
//		$('#ibanerroneo_cuentasErroneas_dialog_table').prop("disabled","true");
		
	};


	
	let tableColModels = [
			
			{
				name: "descError",
				index:"descError",
				editable: false,
				hidden:false,
				orderable: false
			},
			{ 	name: "identificador",
				index: "identificador",
				editable: true,
				hidden: false,
				orderable: false
			},
			{ 	name: "idsolicitante",
				index: "idsolicitante",
				editable: true,
				hidden: true
			},
			{ 	name: "nombreApellidosSolicitante",
				index: "nombreApellidosSolicitante",
				editable: true,
				hidden: false
			},
			{ 	name: "apellido1",
				index: "apellido1",
				editable: true,
				hidden: true
			},
			{ 	name: "apellido2",
				index: "apellido2",
				editable: true,
				hidden: true
			},
			{ 	name: "territorioStr",
				index: "territorioStr",
				editable: true,
				hidden: false
			},
			{ 	name: "ibanerroneo",
				index: "ibanerroneo",
				editable: true,
				hidden: false
			},
			{ 	name: "ibanactualizado",
				index: "ibanactualizado",
				editable: true,
				hidden: false
			},
			{
				name: "estadoStr",
				index:"estadoStr",
				editable: true,
				hidden:false
			},
			{
				name: "fecActualizacion",
				index:"fecActualizacion",
				editable: true,
				hidden:false
			}
			
			];

	const getColumnsModel = function () {
		const getColumnModel = function (name, index, editable, hidden, orderable) {
			return {
				name: name,
				index: index,
				editable: editable,
				hidden: hidden,
				orderable: orderable

			}
		};
		let columnsModel = [];
		

		return columnsModel;
	};

	const getColumnsDefs = function () {};
	const columnDefs = [
		{
			"targets": 0,
			"className": "icons-column",
			"render": function(data, type, row, settings){

		let iconObs = "";
		if( row.errorEs !=null) {
			iconObs = `
				<span class="mdi mdi-note-multiple-outline obs-icon verde"
				 style="float:right" obs='${row.descError}'></span>
					`;
		}
		return iconObs;
			}
		},
		{
			"targets": 1,
			"render": function(data, type, row, settings){
				const url = "../solicitantes/detail/" + row.idsolicitante;
				return `<a href='javascript:window.open("${url}", "_blank");'>
        		`+data+`
        	</a>`
			}
		},
//		{
//			"targets": 2,
//			"render": function ( data, type, row, meta ) {
//			let titular="";
//			if( row.nombre != null ){
//				titular+=row.nombre+" ";
//			} if( row.apellido1 != null){
//				titular+=row.apellido1+" ";
//			}if( row.apellido2 != null){
//				titular+=row.apellido2+" ";
//			}
//			
//			
//			
//				return titular;
//			
//			
//			}
//		},
		
		
	]

	const misbotones = [
	]
	const btnEditar ={
			text: function () {
				return $.rup.i18n.app.cuentasErroneas.editar;
			},
			id: 'editarCuentas', // Campo obligatorio si se
										// quiere usar desde el
										// contextMenu
			displayRegex: /^[1-9][0-9]*$/,
			className: 'btn-material-primary-high-emphasis table_toolbar_btnView',
			icon: "mdi mdi-playlist-edit",
			insideContextMenu: true, // Independientemente de
										// este valor, sera 'false'
										// si no tiene un id
										// definido
			type: 'view',
			action : function(e, dt, node, config) {
				var idSolicitante=($('#cuentasErroneas').rup_table('getSelectedRows')['idsolicitante']);
				const url = '../cuentas/tieneExpedienteIniciado/'+idSolicitante;
				
				const ajaxData = {
						'url': url,
						'type': 'POST',
						'contentType': 'application/json',
						'dataType': 'json',
						success: function (data) {
							if (data != undefined && data == true) {
								
								$('#rup_feedback_cuentasErroneas').rup_feedback("option", "delay", null);
					        	$('#rup_feedback_cuentasErroneas').rup_feedback("set", $.rup.i18n.app.cuentasErroneas.errorSolicitante, "error");
//								
							}else if(data != undefined && data == false){
								$('#cuentasErroneas_dialog_form').rup_form("clearForm");
								rellenarDatos();
								abrirDialogoCuentasErroneas();
							}

						},
						beforeSend: function() {
							Ad74aUtils.bloquearInterfaz();
		                },
		                complete: function() {
		                	Ad74aUtils.desBloquearInterfaz();

		                }
				}
				$.rup_ajax(ajaxData);
			}
	}
	

	$("#cuentasErroneas").rup_table({
		colReorder: {
		 fixedColumnsLeft: 1
		}
		,colModel: tableColModels,
		createTooltipBody: false,
		columnDefs : columnDefs
		,primaryKey: "tipoidentificador"
		,filter:{
  	  		id:"#cuentasErroneas_filter_form",
  	  		filterToolbar:"cuentasErroneas_filter_toolbar",
  	  		collapsableLayerId:"cuentasErroneas_filter_fieldset",
  	  		showHidden: true
     	}
   		,select: {
       		activate: true,
       		multiSelect:false,
       		deleteDoubleClick:true
   		}
		,seeker: {
			activate: false
		},
		buttons: {
			activate: true,
			blackListButtons: ['addButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton','editButton'],
			myButtons:misbotones
		},
		columnOrderArrows: {
		    showOnlyActive: false,
		    display: 'inline'
		},
		drawCallback: function( ctx ) {
			$(".obs-icon").rup_tooltip({
				content: {
					text: function(event, api) {
						let text = $(this).attr('obs');
						text = text.replaceAll('\n', '<br/>');
						return text;
					}
				},
				position: {
					my: 'bottom left',  // Position my top left...
					at: 'top left', // at the bottom right of...
				},
				style: {
					classes: 'qtip-green qtip-large'
				}
			});
		},
		order: [[1, "asc"]]
	});
	
	$("#cuentasErroneas").on("click",function(ctx) {
		if($("#cuentasErroneas").rup_table("getSelectedRows").length==0){
			$('#editarCuentas').prop("disabled",true);
		}else if($('#cuentasErroneas').rup_table('getSelectedRows')['idcuentaactualizada']==0){
			
				$('#editarCuentas').prop("disabled",false);
			}
		else{
			$('#editarCuentas').prop("disabled",false);
		}
		
	});
	
	const abrirDialogoCuentasErroneas = () =>{
		const divTitleDialog = $("div[aria-describedby='dialogCuentasErroneas'] .ui-dialog-title");
		$('#dialogCuentasErroneas').rup_dialog('open');
		divTitleDialog.html('<i>'+$.rup.i18n.app.cuentasErroneas.tituloDialogoEditar+'</i>');

		try {
			$("#cuentasErroneas_dialog_feedback").rup_feedback("destroy");
		} catch (error) {}
		
		$("#cuentasErroneas_dialog_feedback").rup_feedback(
			{
				type: "ok",
				block: false,
				delay: 3000,
				fadeSpeed: 600,
			}
		);
	}
	
	const rellenarDatos = () =>{

		//llamada ajax
		var idcuenta=($('#cuentasErroneas').rup_table('getSelectedRows')['idcuentaactualizada']);
		const url = '../cuentaserroneas/detail/'+idcuenta;
		let data = {};
		const ajaxData = {
				'url': url,
				'type': 'POST',
				'contentType': 'application/json',
				'dataType': 'json',
				success: function (data) {
					if (data != undefined) {
						$.rup_utils.populateForm($.rup_utils.jsontoarray(data), "#cuentasErroneas_dialog_form");
						$('#identificadorHidden').val(data.idenTitular05);
						$('#apellido1_cuentasErroneasHidden').val(data.apellido1TitCuenta05);
						$('#apellido2_cuentasErroneasHidden').val(data.apellido2TitCuenta05);
						$('#nombre_cuentasErroneasHidden').val(data.nombreTitCuenta05);
						$('#ibanactualizado_cuentasErroneasHidden').val(data.numCuenta05);
						$('#codTipoIdenTitular_cuentasErroneasHidden').val(data.codTipoIdenTitular05);
					}

				},
				beforeSend: function() {
					Ad74aUtils.bloquearInterfaz();
                },
                complete: function() {
                	Ad74aUtils.desBloquearInterfaz();

                }
		}
		$.rup_ajax(ajaxData);

	}
	 $('#ibanactualizado_cuentasErroneas_dialog_table').on("input", function () {
	        $(this).val($(this).val().replace(/ /g, ""));
	    });
	 
	 const uploadfile = ()=>{

			try {
				$("#cuentasErroneas_dialog_feedback").rup_feedback("destroy");
			} catch (error) {}

			$("#cuentasErroneas_dialog_feedback").rup_feedback(
				{
					type: "ok",
					block: false,
					delay: 3000,
					fadeSpeed: 600,
				}
			);


			let urlAportar='aportar/'+$('#cuentasErroneas').rup_table('getSelectedRows')['idcuentaactualizada'];

		UploadFile.init("documento_cuenta", {
	        selectButton: {
	            "text": $.rup.i18n.app.botonera.seleccionar,
	            "icon": "mdi mdi-plus",
	            "class": "btn-material-primary-high-emphasis",
	        },
	        uploadButton: {
	            "text": $.rup.i18n.app.botonera.aportar,
	            "icon": "mdi mdi-upload",
	            "class": "btn-material-primary-high-emphasis",
	        },
	        "extensions": ['.pdf'],
	        "submitInForm": false,
	        "url": urlAportar,
	        data: () => {
	        	return { 
	        		"tipificar": $("#idTipoDoc87_cuentas_dialog").val(),
	        	}
	        },
	        start : function (data) {
				Ad74aUtils.bloquearInterfaz();
			},
			done: function (data) {
				UploadFile.reset("documento_cuenta");
				loadDocumentos();
				Ad74aUtils.desBloquearInterfaz();
	        	$('#cuentasErroneas_dialog_feedback').rup_feedback("set", $.rup.i18n.app.cuentasErroneas.documentoAdjuntado, "ok");

			},
			fail: function (data) {
				console.log(data);
				UploadFile.reset("documento_cuenta");
				Ad74aUtils.desBloquearInterfaz();
				$('#cuentasErroneas_dialog_feedback').rup_feedback("option", "delay", null);
	        	$('#cuentasErroneas_dialog_feedback').rup_feedback("set", $.rup.i18n.app.cuentasErroneas.errorDocumentoAdjuntado, "error");
			},
	    });
	 }
	 
		function loadDocumentos() {
			$("#link-layer").hide();
			try {
				$("#documento_table_cuentas").DataTable().destroy();
			} catch (error) {}

			let tableColModels = [
				{ name: "idTipoDoc87", index: "IDTIPODOC87", editable: false, hidden: false, orderable: false },
				{ name: "nombreDoc87", index: "NOMBREDOC87", editable: false, hidden: false, orderable: false },
				{ name: "falta87", index: "FALTA87", editable: false, hidden: false, orderable: false },
				{ name: "extension87", index: "EXTENSION87", editable: false, hidden: false, orderable: false }

			];
			let urlBase=$.rup.CTX_PATH +"docucuentas/0/"+$('#cuentasErroneas').rup_table('getSelectedRows')['idcuentaactualizada'];

			$("#documento_table_cuentas").attr("data-url-base", urlBase);

				let columnDefs =[
					{
						"targets": 0,
						"orderable":false,
					    "render": function ( data, type, row, meta ) {
					             return DOCSOTROS_ROLEID_DESC;

						}
					},
//					{
//						"targets": 2,
//						"render": function(data, type, row, settings){
//							if ( row.solicitantes.identificador01 != null && !isSSB) {						 
//								const url = '../solicitantes/detail/' + row.solicitantes.idSolicitante01;
//								return `<a href='javascript:window.open("${url}", "_blank");'>${row.solicitantes.identificador01}</a>`;						
//							}						
//							return row.solicitantes.identificador01 != null?row.solicitantes.identificador01:"";
//						}
//					},
					{
						"targets": 1,
						"orderable":false,
					    "className": "text-center",
					    "render": function ( data, type, row, meta ) {
					             return "<a href='javascript:$.downloadDocument(\"" + row.ruta87 + "\",\""+row.nombreDoc87+"\");'>" + data + "</a>"; 
						}
					},	
					{
						"targets": 3,
						"orderable":false,
					    "width":'4%',
					    "className": "text-center",
					    "render": function ( data, type, row, meta ) {
								return "<a href='javascript:$.eliminarArchivo(\"" + row.ruta87 + "\");'><i class='mdi mdi-trash-can-outline' style='margin-right:5px;'></i></a>";

						}
					},
					
					
				]



		const tableDocumentos = $("#documento_table_cuentas").rup_table({
			colReorder: {
				fixedColumnsLeft: 1
			},
			colModel: tableColModels,
			columnDefs : [
				
				

			], 
			primaryKey: "idDocCuenta87",
			filter: "noFilter",
			noEdit: true,
			columnDefs:columnDefs,
			createTooltipBody: false,
			select: {
				activate: false
			},
			"pageLength": 50,
			dom: 't<"container-fluid paginationContainer"' +
			  '<"row mx-0"' +
			  '<"col-6 order-3 text-right align-self-center col-sm-5 order-sm-2 col-xl-2 order-xl-1 text-xl-left">' +
			  '<"d-none"p>' +
			  '<"col-12 text-center"i>' +
			  '>' +
			  '>' +
			  'r',
			  //"paging": false,
			buttons: {
				activate: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton', 'reportsButton'],
			},
			order: [[1, "asc"]],
		});
		$("#link-layer").show();
		}
		
		$.eliminarArchivo = function(oid){
			if (oid != null
					&& oid != ''){
				var url = $.rup.CTX_PATH+"docucuentas/deleteDocumentosCuentas/"+oid;
				$.rup_ajax({
		              url: url,
		              type: "POST",
		              //dataType: 'json',
		              contentType: 'application/json',
						beforeSend: function() {
							Ad74aUtils.bloquearInterfaz();
		                },
		                complete: function() {
		                	Ad74aUtils.desBloquearInterfaz();
		                },
		              success: function (data){
						try {
							$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
						} catch (error) {}

						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
							{
								type: "ok",
								block: false,
								delay: 3000,
								fadeSpeed: 600,
							}
						);
						UploadFile.reset("documento_cuenta");
						loadDocumentos();
						Ad74aUtils.desBloquearInterfaz();
				    	$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("set", $.rup.i18n.app.cuentasErroneas.eliminarDocumento, "ok");



		              },
		              error: function(error){

						try {
							$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback("destroy");
						} catch (error) {}

						$("#tabDatosBeneficiariosDialogCuenta_form_feedback").rup_feedback(
							{
								type: "ok",
								block: false,
								delay: 3000,
								fadeSpeed: 600,
							}
						);
						UploadFile.reset("documento_cuenta");
						loadDocumentos();
						Ad74aUtils.desBloquearInterfaz();
						$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("option", "delay", null);
				    	$('#tabDatosBeneficiariosDialogCuenta_form_feedback').rup_feedback("set", $.rup.i18n.app.cuentasErroneas.errorEliminarDocumento, "error");

		              }
		        });

			}
		}
		
		$.downloadDocument = function(oid, nombreDoc){
			if (oid != null
					&& oid != ''){
				var url = $.rup.CTX_PATH+"docucuentas/downloadDocuCuentas/"+oid+"?nombreDoc="+nombreDoc;
				window.open($.rup_utils.setNoPortalParam(encodeURI(url)));
			}
		}
		
		function limpiarSesion(){
			$.rup_ajax({
	        	url: $.rup.CTX_PATH +"docucuentas/clear",
	            type: "GET",
	            success: function (){
	        		console.log("Session cleared");
	          	}
	        });
		}
		
		function modoConsulta(){
			if(isDirector){
				$('#codTipoIdenTitular_cuentasErroneas_dialog_table').rup_combo("disable");
				$('#identificador_cuentasErroneas_dialog_table').prop("disabled",true);
				$('#nombre_cuentasErroneas_dialog_table').prop("disabled",true);
				$('#apellido1_cuentasErroneas_dialog_table').prop("disabled",true);
				$('#apellido2_cuentasErroneas_dialog_table').prop("disabled",true);
				$('#ibanactualizado_cuentasErroneas_dialog_table').prop("disabled",true);
				$('#motivo_cuentasErroneas_dialog_table').prop("disabled",true);
				$('#idTipoDoc87_cuentas_dialog').rup_combo("disable");
				UploadFile.disabled("documento_cuenta", true);
			}
		}
		
	
	
	misbotones.push(btnEditar);
	initFilter();
	initDialog();
	Ad74aUtils.sinEspacios();
	limpiarSesion();
	
	$("#cuentasErroneas_filter_form").rup_validate({
	    liveCheckingErrors: false,
	    showFieldErrorAsDefault: true,
	    showErrorsInFeedback: true,
	    showFieldErrorsInFeedback: true,
	    rules:{
	    	"factualizacionDesde":{date:true},
	    	"factualizacionHasta":{date:true},
	    }
	});
	
	$("#cuentasErroneas_filter_form [ruptype='date']").blur(function(elem) { 

		if(!$(elem.target).valid()){
            $(elem.target).val('')
        }

	})
jQuery.validator.addMethod("numCuentaCorrecto", function(value, element,a) {
		
		if($("#ibanactualizado_cuentasErroneas_dialog_table").val()!='' && Ad74aUtils.validarIBAN($("#ibanactualizado_cuentasErroneas_dialog_table").val())){
			return true;
		}
		return false;						
	 },$.rup.i18n.app.validaciones.IbanFormatoIncorrecto);
	});

	


});